| hoogle | Source code | Contents | Index

Hoogle.DataBase.Items

Documentation

data Items | Source

Constructors

Items |

packages :: Index Package |
modules :: Index Module |
entries :: Index Entry |

Instances

Show Items
BinaryDefer Items

data S a | Source

Constructors

S |

count :: Int |
values :: [a] |

entriesItems :: Items -> [Link Entry] | Source

createItems :: [(TextItem, String)] -> Items | Source

addTextItem :: [(TextItem, String)] -> State (S Package, S Module) [Entry] | Source

mergeItems :: [Items] -> Items | Source

Produced by Haddock version 2.4.2